#include <stdio.h>
#include <string.h>

int main()
{
  char s[] = "abcdefghijklmn";

  memmove(s + 1, s + 4, 8);
  printf("%s\n", s);

  memmove(s + 8, s + 1, 3);
  printf("%s\n", s);

  memmove(s, s + 5, 5);
  printf("%s\n", s);

  return 0;
}
